LiferayPortalUserManager (Social Portal ISTI Scheduler Support Library 0.2.4-SNAPSHOT API)
Date: 2014-02-24

org.gcube.portal.istischeduler.impl

## Class LiferayPortalUserManager

- java.lang.Object
- - org.gcube.portal.istischeduler.impl.LiferayPortalUserManager

- All Implemented Interfaces:
    PortalUserManager

      public class LiferayPortalUserManager
      extends Object
      implements PortalUserManager

  Author:
    Massimiliano Assante, ISTI-CNR

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiferayPortalUserManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `createUser(String administratorUsername, PortalUserModel user2Add)` The username of one administrator is needed to perform thi operation
    `static com.liferay.portal.model.Company` | `getCompany()` return the companyId
    `protected static String` | `getDefaultCommunityName()` read the root Default Community name from a property file and returns it
    `static String` | `getDefaultCompanyWebId()`
    `protected static String` | `getRootOrganizationName()` read the root VO name from a property file and returns it
    `PortalUserModel` | `getUserByFiscalCode(String fiscalCode)`
    `PortalUserModel` | `getUserByUsername(String username)`
    `List<PortalUserModel>` | `listPortalUsers()`
    `boolean` | `updateUser(PortalUserModel user2Update)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LiferayPortalUserManager

          public LiferayPortalUserManager()

  - ### Method Detail

    - #### createUser

          public boolean createUser(String administratorUsername,
                           PortalUserModel user2Add)
                             throws UserManagementSystemException,
                                    UserRetrievalFault

      The username of one administrator is needed to perform thi operation
      Specified by:
        `createUser` in interface `PortalUserManager`
        `user2Add` - `PortalUserModel`
      Returns:
        true if ok fals otherwise
      Throws:
        `UserManagementSystemException`
        `UserRetrievalFault`

    - #### updateUser

          public boolean updateUser(PortalUserModel user2Update)
                             throws UserManagementSystemException,
                                    UserRetrievalFault

      Specified by:
        `updateUser` in interface `PortalUserManager`
      Parameters:
        `user2Update` - `PortalUserModel`
      Returns:
        true if ok fals otherwise
      Throws:
        `UserManagementSystemException`
        `UserRetrievalFault`

    - #### getUserByUsername

          public PortalUserModel getUserByUsername(String username)
                                            throws UserManagementSystemException

      Specified by:
        `getUserByUsername` in interface `PortalUserManager`
      Returns:
        an instance of `PortalUserModel`
      Throws:
        `UserManagementSystemException`

    - #### getUserByFiscalCode

          public PortalUserModel getUserByFiscalCode(String fiscalCode)
                                              throws UserManagementSystemException

      Specified by:
        `getUserByFiscalCode` in interface `PortalUserManager`
      Returns:
        an instance of `PortalUserModel`
      Throws:
        `UserManagementSystemException`

    - #### listPortalUsers

          public List<PortalUserModel> listPortalUsers()
                                                throws UserManagementSystemException

      Specified by:
        `listPortalUsers` in interface `PortalUserManager`
      Returns:
        the list of the current users in the portal as `PortalUserModel` istances
      Throws:
        `UserManagementSystemException`

    - #### getCompany

          public static com.liferay.portal.model.Company getCompany()
                                                             throws com.liferay.portal.kernel.exception.PortalException,
                                                                    com.liferay.portal.kernel.exception.SystemException

      return the companyId
      Parameters:
        `webId` - .
      Returns:
        the company bean
      Throws:
        `com.liferay.portal.kernel.exception.PortalException` - .
        `com.liferay.portal.kernel.exception.SystemException` - .

    - #### getDefaultCompanyWebId

          public static String getDefaultCompanyWebId()

      Returns:
        the default company web-id (e.g. iMarine.eu)

    - #### getRootOrganizationName

          protected static String getRootOrganizationName()

      read the root VO name from a property file and returns it

    - #### getDefaultCommunityName

          protected static String getDefaultCommunityName()

      read the root Default Community name from a property file and returns it

Copyright © 2014. All Rights Reserved.